### Virtual Method

# Gtk TextViewextend_selection

#### Declaration [src]

    gboolean
    extend_selection (
      GtkTextView* text_view,
      GtkTextExtendSelection granularity,
      const GtkTextIter* location,
      GtkTextIter* start,
      GtkTextIter* end
    )

#### Description [src]

The class handler for the `GtkTextView::extend-selection` signal.

#### Parameters

`granularity`

  Type: `GtkTextExtendSelection`

  No description available.

`location`

  Type: `GtkTextIter`

  No description available.

  The data is owned by the caller of the function.

`start`

  Type: `GtkTextIter`

  No description available.

  The data is owned by the caller of the function.

`end`

  Type: `GtkTextIter`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

No description available.